VG_POINT(3)

NAME
VG_Point - agar-vg point entity

SYNOPSIS

    #include <agar/core.h>
    #include <agar/gui.h>
    #include <agar/vg.h>

DESCRIPTION
VG_Point is a VG(3) node class which describes a single point.

INTERFACE
VG_Point * VG_PointNew(VG_Node *parent, VG_Vector pos)

void VG_PointSize(VG_Point *pt, float size)

The VG_PointNew() function creates a new point entity attached to parent, with an initial translation specified by pos.

The VG_PointSize() function specifies the size in pixels of the primitive to use for rendering the point. A value of 0.0 (the default) implies that the point is considered construction geometry. The endpoints of a VG_Line(3) are an example of construction geometry. Note that VG_View(3) does provide a ‘Show construction geometry’ option which causes zero-sized points to be displayed to the user.

SEE ALSO
VG(3), VG_Arc(3), VG_Circle(3), VG_Line(3)

HISTORY
The VG_Point class first appeared in Agar 1.3.3.